
Katello - Bug #4741

Orchestration fails immediately when request on pulp task status time-outs

03/20/2014 10:04 AM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee: Ivan Necas   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It should try few times before marking the whole process as failed.

Often, that might be just temporary issue, not affecting the process itself.

Associated revisions

Revision 901b3030 - 03/25/2014 01:10 PM - Ivan Necas

Update foreman-tasks

Fixes #4762

Fixes #4741

Fixes #4715

Pre-requisite for #4781.

Also, it brings significant performance improvements with new Dynflow.

History

#1 - 03/20/2014 10:05 AM - Ivan Necas

- Status changed from New to Assigned

- Assignee set to Ivan Necas

#2 - 03/21/2014 08:05 PM - Mike McCune

- Triaged set to Yes

#3 - 03/21/2014 08:21 PM - Mike McCune

- Triaged deleted (Yes)

#4 - 03/21/2014 09:05 PM - Mike McCune

- Triaged set to Yes

#5 - 03/25/2014 01:52 PM - Ivan Necas

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:901b303057a13fa177b588f47e6b9010d82bc61e.

#6 - 08/21/2014 02:31 PM - Eric Helms

- translation missing: en.field_release set to 13
